VectorLinux

The nuts and bolts => Software General => Topic started by: black-clover on August 20, 2017, 01:10:20 pm

Title: gpg small error
Post by: black-clover on August 20, 2017, 01:10:20 pm
Hello,
I encountered a small error while generating the keys for gpg on VL-7.2-RC2.
It shown the error for missing pinentry scripts.
This can easily be solved by downloading pinentry sources from https://www.gnupg.org/download/index.html and installing it manually.
Title: Re: gpg small error
Post by: roarde on August 21, 2017, 06:29:05 am
Thanks so much for finding and sharing this info!

I brushed up the old SlackBuild for pinentry, and a package is now available in the 7.2 untested repo. The gnupg2 package has been rebuilt to add pinentry as a dependency. Users who do GSlapt/slapt-get upgrading after install will get the fix.
Title: Re: gpg small error
Post by: black-clover on August 21, 2017, 02:53:05 pm
Happy to contribute somehow to this great community. By the way, perhaps GPA would be a nice package to add to the repository.
I installed it from sources and it is small and very handy for GPG users.
Title: Re: gpg small error
Post by: quake1 on August 08, 2018, 02:28:55 am
It works. I have downloaded and installed pinentry sources and it helps fix the error.
gmail sign up (https://www.just4dummies.com/gmail-sign-up)